/*
 * Class RT_EXTENSION_COMMON
 */

#include "eif_macros.h"


#ifdef __cplusplus
extern "C" {
#endif

static const EIF_TYPE_INDEX egt_0_43 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_1_43 [] = {0xFF01,237,42,0xFFFF};
static const EIF_TYPE_INDEX egt_2_43 [] = {0xFF01,42,0xFFFF};
static const EIF_TYPE_INDEX egt_3_43 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_4_43 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_5_43 [] = {0xFF01,42,0xFFFF};
static const EIF_TYPE_INDEX egt_6_43 [] = {0xFF01,42,0xFFFF};
static const EIF_TYPE_INDEX egt_7_43 [] = {0,0xFFFF};
static const EIF_TYPE_INDEX egt_8_43 [] = {0xFF01,14,0xFFFF};
static const EIF_TYPE_INDEX egt_9_43 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_10_43 [] = {0xFF01,220,0xFFFF};
static const EIF_TYPE_INDEX egt_11_43 [] = {0xFF01,15,0xFFFF};
static const EIF_TYPE_INDEX egt_12_43 [] = {0xFF01,42,0xFFFF};


static const struct desc_info desc_43[] = {
	{EIF_GENERIC(NULL), 0xFFFFFFFF, 0xFFFFFFFF},
	{EIF_GENERIC(egt_0_43), 0, 0xFFFFFFFF},
	{EIF_GENERIC(egt_1_43), 1, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 2, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 3, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 4, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 5, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 6, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 7, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 8, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x017F /*191*/), 9, 0xFFFFFFFF},
	{EIF_GENERIC(egt_2_43), 10, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 11, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 12, 0xFFFFFFFF},
	{EIF_GENERIC(egt_3_43), 13, 0xFFFFFFFF},
	{EIF_GENERIC(egt_4_43), 14, 0xFFFFFFFF},
	{EIF_GENERIC(egt_5_43), 15, 0xFFFFFFFF},
	{EIF_GENERIC(egt_6_43), 16, 0xFFFFFFFF},
	{EIF_GENERIC(egt_7_43), 17, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 18, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 19, 0xFFFFFFFF},
	{EIF_GENERIC(egt_8_43), 20, 0xFFFFFFFF},
	{EIF_GENERIC(egt_9_43), 21, 0xFFFFFFFF},
	{EIF_GENERIC(egt_10_43), 22, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 23, 0xFFFFFFFF},
	{EIF_GENERIC(egt_11_43), 24, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 25, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 26, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 27, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x55 /*42*/), 28, 0xFFFFFFFF},
	{EIF_NON_GENERIC(0x01AF /*215*/), 29, 0xFFFFFFFF},
	{EIF_GENERIC(egt_12_43), 30, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1033, 0xFFFFFFFF},
	{EIF_GENERIC(NULL), 1034, 0xFFFFFFFF},
};
void Init43(void)
{
	IDSC(desc_43, 0, 42);
	IDSC(desc_43 + 1, 1, 42);
	IDSC(desc_43 + 32, 330, 42);
}


#ifdef __cplusplus
}
#endif
